Subject: [PATCH 0/4] Make Armada 375 use the reference clock when possible

From: [email-masked] (Ezequiel Garcia)
Date: Thu, 23 Oct 2014 09:43:29 -0300

On 10/23/2014 09:26 AM, Thomas Petazzoni wrote:
> Dear Ezequiel Garcia,
> 
> On Thu, 23 Oct 2014 09:16:33 -0300, Ezequiel Garcia wrote:
> 
>>> You don't clearly state whether your patch series keep compatibility
>>> with the 375 Z1 or not. And in fact, it doesn't keep compatibility with
>>> Z1. I'm fine with that, but then it means we should officially declare
>>> the Z1 support in mainline as dead, and get rid of the workarounds that
>>> applied only to 375 Z1.
>>
>> How many people have Z1 boards? And is someone actually using one for
>> something? Do we have any other reason to support Z1?
>>
>> FWIW, a v3.18-rc1 kernel built with mvebu_v7_defconfig, silently stalls
>> in the middle of the boot on Z1. Had to remove lots of compile time
>> options to make it boot.
>>
>> Before I start digging into this, maybe we can discuss your suggestion
>> to drop it. If nobody is booting this often enough, maybe nobody cares
>> about this, and it makes sense to drop the support?
> 
> Marvell has always said they are not interested in having Z1 supported
> in mainline, except as a first step to start getting the 375 support in
> mainline. I have been waiting for everyone of us to have access to 375
> A0 platforms, which is now the case. So I believe we can probably get
> rid of the 375 Z1 support entirely.
> 
> It saddens me to know that a shiny development board in the office will
> no longer be useful for anything else but its own physical beauty, but
> I believe that's a normal retirement strategy for a very early
> development platform :-)
> 

I'm afraid I have news for you. Even now, the board is almost unusable,
as the mvpp2 network driver only supports A0 (Z1 support was never even
planned).

So you have a NAS development board without network... sounds pretty
useless to me :)
-- 
Ezequiel Garc?a, Free Electrons
Embedded Linux, Kernel and Android Engineering
http://free-electrons.com